$(document).ready(function() {

    /********** Tableau **********/

      var tableNodes = $('#nodes-table').DataTable( {
          responsive: true,
          select: {
              style: 'multi'
          }
      } );

      var nodeSet = new Set();

      tableNodes.on('select', function (e, dt, type, indexes) {
        var rowData = tableNodes.rows(indexes).data().toArray()[0];
        nodeSet.add(rowData[0]);
      } );

      tableNodes.on('deselect', function (e, dt, type, indexes) {
        var rowData = tableNodes.rows(indexes).data().toArray()[0];
        nodeSet.delete(rowData[0]);
      } );

      document.getElementById("save_maj").addEventListener('click', function() {

        var form = document.createElement('form');
        form.setAttribute('action', 'savemaj');
        form.setAttribute('method', 'post');

        var modalContent = document.getElementById("modal-content");
        var majName = document.getElementById("majName").value;
        var majDate = document.getElementById("majDate").value;
        var majFile = document.getElementById("file_choice").value;

        if(nodeSet.size == 0) {
            $("#warningFilesNumber").modal();
        }

        else if(majName == "") {
            modalContent.innerHTML = "Veuillez choisir un nom pour la mise à jour";
            $("#warningFilesNumber").modal();
        }

        else if(majDate == "") {
            modalContent.innerHTML = "Veuillez choisir une date pour la mise à jour"
            $("#warningFilesNumber").modal();
        }

        else if(majFile == "" || majFile == "--") {
            modalContent.innerHTML = "Veuillez choisir un fichier pour la mise à jour"
            $("#warningFilesNumber").modal();
        }

        else {
            var nodes = Array.from(nodeSet);

            var inputvar1 = document.createElement('input');
            inputvar1.setAttribute('type', 'hidden');
            inputvar1.setAttribute('name', 'name');
            inputvar1.setAttribute('value', majName);
            form.appendChild(inputvar1);

            var inputvar2 = document.createElement('input');
            inputvar2.setAttribute('type', 'hidden');
            inputvar2.setAttribute('name', 'date');
            inputvar2.setAttribute('value', majDate);
            form.appendChild(inputvar2);

            var inputvar3 = document.createElement('input');
            inputvar3.setAttribute('type', 'hidden');
            inputvar3.setAttribute('name', 'nodes');
            inputvar3.setAttribute('value', nodes.join(";"));
            form.appendChild(inputvar3);

            var inputvar4 = document.createElement('input');
            inputvar4.setAttribute('type', 'hidden');
            inputvar4.setAttribute('name', 'file');
            inputvar4.setAttribute('value', majFile);
            form.appendChild(inputvar4);

            document.body.appendChild(form);
            form.submit();
        }

      });

} );
